clear all
clc
% Example 01
% A simple example to solve ODE's 
% Uses ODE45 to solve 
% dx_dt(1) = -1*x(1)-1*x(2) 
% dx_dt(2) = 1*x(1) -2*x(2) 
% set an error 
options=odeset('RelTol',1e-6); 
% initial conditions 
Xo = [1;1]; 
%timespan 
tspan = [0,5]; 
%call the solver 
[t,X] = ode45(@TestFunction,tspan,Xo,options);
%plot the results 
figure
hold on
plot(t,X(:,1));plot(t,X(:,2),'r:') 
legend('x1','x2');
ylabel('x');
xlabel('t') 