clear all
clc
%Example 02: Stiff Problem
% A simple example to solve ODE's 
% Uses ODE45 to solve 
% dx_dt(1) = -1*x(1)-1*x(2) 
% dx_dt(2) = 1*x(1) -5000*x(2) 
%set an error 
options=odeset('RelTol',1e-6,'Stats','on'); 
%initial conditions 
Xo = [1;1]; 
%timespan 
tspan = [0,5]; 
%call the solver 
tic 
[t,X] = ode45(@TestFunction,tspan,Xo,options); 
toc 
%plot the results 
figure;hold on 
plot(t,X(:,1));plot(t,X(:,2),':') 
legend('x1','x2'); ylabel('x');xlabel('t') 